## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without check

Name:           cargo2rpm
Version:        0.1.0
Release:        %autorelease
Summary:        Translation layer between cargo and RPM
License:        MIT

URL:            https://pagure.io/fedora-rust/cargo2rpm
Source:         %{url}/archive/%{version}/cargo2rpm-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

Requires:       cargo

%description
cargo2rpm implements a translation layer between cargo and RPM. It
provides a CLI interface (for implementing RPM macros and generators)
and a Python API (which rust2rpm is built upon).

%prep
%autosetup -n cargo2rpm-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install

%check
%if %{with check}
%tox
%endif

%files
%license LICENSE
%doc README.md
%doc CHANGELOG.md
%{_bindir}/cargo2rpm
%{python3_sitelib}/cargo2rpm-*.dist-info/
%{python3_sitelib}/cargo2rpm/

%changelog
* Mon Feb 13 2023 Fabio Valentini <decathorpe@gmail.com> 0.1.0-1
- Initial import (#2169233)
